Name: task-lxde
Version: 7
%define subrel 1
Release: %mkrel 1
Epoch: 1
Summary: Metapackage for lxde
Group: Graphical desktop/Other
License: GPL
URL: http://lxde.org
Requires: %{name}-minimal
# Requires components listed on lxde wiki,
# see: http://wiki.lxde.org/en/Status_of_LXDE_Components
Requires: gpicview
Requires: lxtask
Requires: lxinput
Requires: lxsession-edit
Requires: lxrandr
Requires: lxdm
Requires: lxhotkey
# Recommends other app independent of lxde
Recommends: epdfview
Recommends: leafpad
Recommends: xarchiver
Recommends: xmessage
Recommends: task-pulseaudio
Recommends: mageiawelcome
Recommends: hexchat

BuildArch: noarch

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running the Lightweight X11 Desktop Environment.

%package minimal
Summary: Minimal dependencies needed for LXDE
Group: Graphical desktop/Other
Requires: desktop-common-data
Requires: lxde-common
Requires: lxappearance
Requires: lxpolkit
Requires: lxterminal
Requires: task-x11
Requires: drakconf
Requires: obconf
Requires: dbus-x11
Requires: gnome-themes-standard
Requires: adwaita-gtk2-theme

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal Lightweight X11 desktop
environment.

%prep
# nothing

%build
# nothing

%install
# nothing

%files

%files minimal



%changelog
* Wed Nov 25 2020 ns80 <ns80> 1:7-1.1.mga7
+ Revision: 1649248
- task-lxde-minimal should require lxpolkit (mga#27574)

* Mon Mar 11 2019 ns80 <ns80> 1:7-1.mga7
+ Revision: 1373929
- use the same version number as Mageia

* Mon Mar 11 2019 alexl <alexl> 1:3-20.mga7
+ Revision: 1373855
- add requires on lxhotkey

* Wed Sep 19 2018 umeabot <umeabot> 1:3-19.mga7
+ Revision: 1276657
- Mageia 7 Mass Rebuild

* Mon Oct 17 2016 ns80 <ns80> 1:3-18.mga6
+ Revision: 1061266
- add lxpolkit requirement

* Tue Feb 16 2016 ns80 <ns80> 1:3-17.mga6
+ Revision: 962186
- remove lxde-ctrl-center as recommendation for task-lxde because it is not present in the ISOs

* Fri Jan 15 2016 ns80 <ns80> 1:3-16.mga6
+ Revision: 923263
- Add adwaita-gtk2-theme requirement to task-lxde-minimal

* Wed Dec 02 2015 ns80 <ns80> 1:3-15.mga6
+ Revision: 907637
- add hexchat as recommendation for task-lxde (mga#15399)

* Tue Nov 10 2015 ns80 <ns80> 1:3-14.mga6
+ Revision: 900954
- add lxde-ctrl-center as recommendation for task-lxde

* Thu Feb 12 2015 ns80 <ns80> 1:3-13.mga5
+ Revision: 814756
- Use Adwaita as default theme

* Thu Nov 20 2014 alexl <alexl> 1:3-12.mga5
+ Revision: 797970
- add requires for oxygen-gtk3 (GTK3 apps were with black background mga#14576)

* Wed Oct 22 2014 alexl <alexl> 1:3-11.mga5
+ Revision: 792461
- del reguires mate-polkit (not needed anymore because lxpolkit is automatically started)
- add sections prep, build, install (rpmlint)

* Wed Oct 15 2014 umeabot <umeabot> 1:3-10.mga5
+ Revision: 747023
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:3-9.mga5
+ Revision: 689707
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Dec 30 2013 tarakbumba <tarakbumba> 1:3-8.mga4
+ Revision: 563354
- Explictly require mate-polkit (mga#11956)

* Sun Dec 15 2013 ennael <ennael> 1:3-7.mga4
+ Revision: 557137
- add mageiawelcome as a suggest

* Sat Oct 19 2013 umeabot <umeabot> 1:3-6.mga4
+ Revision: 523520
- Mageia 4 Mass Rebuild

* Thu May 16 2013 ennael <ennael> 1:3-5.mga3
+ Revision: 413329
- remove lxpolkit as it conflicts with polkit
+ yochenhsieh <yochenhsieh>
- Add comment for policy (quidline) of requires and suggests.

* Fri Apr 26 2013 yochenhsieh <yochenhsieh> 1:3-4.mga3
+ Revision: 411197
- Add task-lxde-minimal package
  task-lxde now has more dependencies

* Mon Apr 15 2013 zezinho <zezinho> 1:3-3.mga3
+ Revision: 410145
- suggests a pdf viewer #8796

* Mon Jan 14 2013 umeabot <umeabot> 1:3-2.mga3
+ Revision: 384077
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 03 2012 obgr_seneca <obgr_seneca> 1:3-1.mga3
+ Revision: 267026
- changed version to 3

* Mon Apr 16 2012 obgr_seneca <obgr_seneca> 1:2-7.mga2
+ Revision: 231066
- added missing Requires for dbus-x11

* Tue Apr 10 2012 obgr_seneca <obgr_seneca> 1:2-6.mga2
+ Revision: 230147
- added Requires for obconf

* Tue Apr 10 2012 obgr_seneca <obgr_seneca> 1:2-5.mga2
+ Revision: 230065
- Added suggest for task-pulseaudio (Bug #4982)

* Tue Mar 20 2012 obgr_seneca <obgr_seneca> 1:2-4.mga2
+ Revision: 224988
- removed suggests for firefox as per bug #4897
- make a cleaner separation of categories in installer

* Wed Mar 07 2012 obgr_seneca <obgr_seneca> 1:2-3.mga2
+ Revision: 220967
- replaced midori again by firefox on ennael's request

* Sat Mar 03 2012 obgr_seneca <obgr_seneca> 1:2-2.mga2
+ Revision: 217054
- added drakconf as requires
- added midori as suggests

* Tue Feb 28 2012 obgr_seneca <obgr_seneca> 1:2-1.mga2
+ Revision: 215799
- push version to 2
- replace gdm by lxdm as suggest

* Sat Feb 18 2012 obgr_seneca <obgr_seneca> 1:1-4.mga2
+ Revision: 210417
- added task-x11 to requires

* Thu Mar 31 2011 ennael <ennael> 1:1-3.mga1
+ Revision: 79285
- switch back to gdm as lxdm is not good enough for now

* Thu Mar 31 2011 ennael <ennael> 1:1-2.mga1
+ Revision: 79175
- switch to lxdm

* Mon Feb 07 2011 ahmad <ahmad> 1:1-1.mga1
+ Revision: 48734
- drop old suggests on halevt-user
- version is not 1, so add an Epoch to smooth upgrading from previous versions
- imported package task-lxde


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2010.0-3mdv2011.0
+ Revision: 607978
- rebuild

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add Suggests on xmessages
      CCBUG: 60964

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 2010.0-2mdv2010.1
+ Revision: 524165
- rebuilt for 2010.1

* Wed Oct 21 2009 Olivier Blin <oblin@mandriva.com> 2010.0-1mdv2010.0
+ Revision: 458497
- 2010.0
- suggest halevt-user for USB keys automount

* Tue Sep 01 2009 Christophe Fergeau <cfergeau@mandriva.com> 2009.0-8mdv2010.0
+ Revision: 423762
- rebuild

* Mon Mar 09 2009 Anne Nicolas <ennael@mandriva.org> 2009.0-7mdv2009.1
+ Revision: 353232
- clean spec file
  add gdm suggests

* Tue Nov 04 2008 Funda Wang <fwang@mandriva.org> 2009.0-6mdv2009.1
+ Revision: 299952
- require lxterminal for the icon on the launch bar

* Tue Oct 28 2008 Funda Wang <fwang@mandriva.org> 2009.0-5mdv2009.1
+ Revision: 297797
- change some requires to suggests

* Mon Sep 29 2008 Funda Wang <fwang@mandriva.org> 2009.0-4mdv2009.0
+ Revision: 289153
- suggest randr
- change lxtask to suggest

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 2009.0-3mdv2009.0
+ Revision: 269406
- rebuild early 2009.0 package (before pixel changes)

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 2009.0-2mdv2009.0
+ Revision: 200942
- do not require lxnm by default (use our own drakx-net instead)

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 2009.0-1mdv2009.0
+ Revision: 200898
- add spec file
- Created package structure for task-lxde.

